gdcm::ParseException Class Reference

ParseException Standard exception handling object. More...

`#include <gdcmParseException.h>`

Inheritance diagram for gdcm::ParseException:
[legend]
Collaboration diagram for gdcm::ParseException:
[legend]

## Public Member Functions

| ParseException ()=default
| ParseException (const ParseException &orig)
| ~ParseException () override throw ()
const DataElement & | GetLastElement () const
ParseException & | operator= (const ParseException &orig)
void | SetLastElement (DataElement &de)
Public Member Functions inherited from gdcm::Exception
| Exception (const char *desc="None", const char *file=__FILE__, unsigned int lineNumber=__LINE__, const char *func="")
| ~Exception () override throw ()
const char * | GetDescription () const
| Return the Description.
const char * | what () const override throw ()
| what implementation

## Detailed Description

ParseException Standard exception handling object.

## Constructor & Destructor Documentation

## ParseException() [1/2]

gdcm::ParseException::ParseException | ( |  | ) |

default

Referenced by ParseException(), and operator=().

## ~ParseException()

gdcm::ParseException::~ParseException | ( |  | ) |
throw | ( | ) |  |  |

inline override

## ParseException() [2/2]

gdcm::ParseException::ParseException | ( | const ParseException & | orig | ) |

inline

References gdcm::Exception::Exception(), and ParseException().

## Member Function Documentation

## GetLastElement()

const DataElement & gdcm::ParseException::GetLastElement | ( |  | ) | const

inline

## operator=()

ParseException & gdcm::ParseException::operator= | ( | const ParseException & | orig | ) |

inline

Assignment operator.

References ParseException().

## SetLastElement()

void gdcm::ParseException::SetLastElement | ( | DataElement & | de | ) |

inline

Equivalence operator.

Referenced by gdcm::BasicOffsetTable::Read(), gdcm::Fragment::ReadBacktrack(), and gdcm::Fragment::ReadValue().

The documentation for this class was generated from the following file:

- gdcmParseException.h